Bug 218577 - Review Request: glump - A small web application to glue files from multiple sources
Review Request: glump - A small web application to glue files from multiple s...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 00:36 EST by Jeffrey C. Ollie
Modified: 2014-01-21 17:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 00:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-12-06 00:36:11 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/glump-0.9.11-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/glump-0.9.11-1.fc6.src.rpm
Description:

Glump is a simple web application that glues files from various
pieces, based on the hostname that makes the request. This is useful
for large installations that want to send different files to different
hosts.
Comment 1 Yanko Kaneti 2006-12-07 17:19:53 EST
Forbidden

You don't have permission to access /misc/fedora/6/SRPMS/glump-0.9.11-1.fc6.spec
on this server.
Comment 2 Jeffrey C. Ollie 2006-12-07 17:24:46 EST
(In reply to comment #1)
>
> You don't have permission to access /misc/fedora/6/SRPMS/glump-0.9.11-1.fc6.spec
> on this server.

Whoops! Fixed...

Comment 3 Mamoru TASAKA 2006-12-19 13:41:09 EST
I cannot see your spec/srpm as access seems forbidden...
Comment 4 Jeffrey C. Ollie 2006-12-19 14:07:03 EST
(In reply to comment #3)
> I cannot see your spec/srpm as access seems forbidden...

The spec file that was stored in the SRPM didn't have world read permissions
set, so when my script that I use to publish SRPMS to my web server extracted
the specfile it overwrote the permissions.  I've updated the SRPM with a spec
file that has the proper permissions.

Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/glump-0.9.11-2.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/glump-0.9.11-2.fc6.src.rpm
Comment 5 Jason Tibbitts 2007-06-09 20:30:48 EDT
Amazing that nobody's looked at this yet; it seems a simple enough package.
Comment 6 Marek Mahut 2007-06-09 20:54:00 EDT
1) I noticed and it's making rpmlint sad too, that you are not using correct tab
spaces in your spec file.

2) Your %install must have a "cleaning" buildroot section, I recommend you start
with:

%install
rm -rf %{buildroot}
Comment 7 Jeffrey C. Ollie 2007-06-09 21:59:46 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/glump-0.9.11-3.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/glump-0.9.11-3.fc6.src.rpm

I've updated the package to reflect Marek's comments.
Comment 8 Jason Tibbitts 2007-06-09 22:14:13 EDT
Crap, I was typing this up but had to break for dinner before I could submit it.  Here's what I wrote:

rpmlint output is OK:

W: glump mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)
  Not a blocker; fix it if you wish.

E: glump explicit-lib-dependency libxml2-python
  This is a false positive.  The package is necessary, and the dependency 
  generator doesn't find it automatically.

Marek is right; you should clean the buildroot at the beginning of install.  Usually rpmlint complains about that; I'm not sure why it didn't.

* source files match upstream:
   634325e4efb057c5b849bf831a51ce8e7e11cec572b6769e9645f06443ae51ab  
   glump-0.9.11.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has only acceptable complaints.
* final provides and requires are sane:
   config(glump) = 0.9.11-2.fc8
   glump = 0.9.11-2.fc8
  =
   /usr/bin/python
   config(glump) = 0.9.11-2.fc8
   httpd
   libxml2-python
   mod_python
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 9 Jason Tibbitts 2007-06-09 22:17:23 EDT
And now looking at the -3 package, I see you fixed everything I had an issue
with, so we're ready to go.

APPROVED
Comment 10 Jeffrey C. Ollie 2007-06-09 22:21:04 EDT
New Package CVS Request
=======================
Package Name: glump
Short Description: A small web application to glue files from multiple sources
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6 EL-5
InitialCC: 
Comment 11 Jeffrey C. Ollie 2007-06-09 22:22:36 EDT
Gahhh... hit "save changes" too soon...

Jason... thanks for the review!  You guys are really rockin' on the reviews...

New Package CVS Request
=======================
Package Name: glump
Short Description: A small web application to glue files from multiple sources
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6 EL-5
InitialCC: 


Comment 12 Jason Tibbitts 2007-06-09 22:27:32 EDT
CVS done.
Comment 13 Jeffrey C. Ollie 2007-06-11 00:42:51 EDT
Thanks everyone!

Note You need to log in before you can comment on or make changes to this bug.